AppendIterator::__construct
AppendIterator::getArrayIterator
AppendIterator
PHP Manual

# AppendIterator::current

(PHP 5 >= 5.1.0)

AppendIterator::current — Gets the current value

### Description

public mixed AppendIterator::current ( void )

Gets the current value.

### Parameters

This function has no parameters.

### Return Values

The current value if it is valid or `NULL` otherwise.

### See Also

- Iterator::current() - Return the current element
- AppendIterator::key() - Gets the current key
- AppendIterator::valid() - Checks validity of the current element
- AppendIterator::next() - Moves to the next element
- AppendIterator::rewind() - Rewinds the Iterator

AppendIterator::__construct
AppendIterator::getArrayIterator
AppendIterator
PHP Manual